> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk delete sessions

> Delete multiple sessions by their identifiers (GlobalIDs or session_id strings). All identifiers in a single request must be the same type. Non-existent IDs are silently skipped. All associated traces, spans, and annotations are cascade deleted.



## OpenAPI

````yaml post /v1/sessions/delete
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/sessions/delete:
    post:
      tags:
        - sessions
      summary: Bulk delete sessions
      description: >-
        Delete multiple sessions by their identifiers (GlobalIDs or session_id
        strings). All identifiers in a single request must be the same type.
        Non-existent IDs are silently skipped. All associated traces, spans, and
        annotations are cascade deleted.
      operationId: deleteSessions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteSessionsRequestBody'
        required: true
      responses:
        '204':
          description: Successful Response
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Unprocessable Entity
components:
  schemas:
    DeleteSessionsRequestBody:
      properties:
        session_identifiers:
          items:
            type: string
          type: array
          title: Session Identifiers
          description: >-
            List of session identifiers to delete. All identifiers must be the
            same type: either all GlobalIDs or all user-provided session_id
            strings.
      type: object
      required:
        - session_identifiers
      title: DeleteSessionsRequestBody

````